/** 
 *
 *   Coordinates manipulation for "antenna" position system.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ??? 
 **/

#define _POSIX_SOURCE 1         /* POSIX compliant source  */

#include <string.h>
#include "iar.h"


int str2cord_type(char *co)
{
	if ( strcmp(co,"dec") == 0) return DEC_CASE;
	if ( strcmp(co,"ra") == 0)  return RA_CASE;

	return -1;
}


