/** 
 *   FIXME ....
 *
 *   (c) Copyright 2003 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 *   TODO: ???
 **/

#ifndef _ENCODERS_H
#define _ENCODERS_H

struct encoders_data{
	int val[2];
	int encoder[2];
	int factor[2];
	int old[2];
	int anemometer;
	/* .... */
};

extern int encoder_num[];

int encoders_open(int ra, int dec);
int encoders_close(void);
int encoders_buff_len(void);
int encoders_clear_buff(void);
int encoders_is_running(void);
int encoders_stop(void);
int encoders_start(void);
//int encoders_get_raw_data(struct encoders_data *d);
int encoders_get_next_data(struct encoders_data *en);
int get_encoder(int num);
int encoder_set_cw(int num);
int encoder_set_ccw(int num);
int encoder_set_zero(int num);
int sidereal_clock_running(void);
int put_on_fail_condition(void);
int put_on_normal_condition(void);
int get_anemometer(void);

#endif  /* ifndef _ENCODERS_H */



